SLURMCTLD(8)

NAME
slurmctld - The central management daemon of Slurm.

SYNOPSIS
slurmctld [OPTIONS...]

DESCRIPTION
slurmctld is the central management daemon of Slurm. It monitors all other Slurm daemons and resources, accepts work (jobs), and allocates resources to those jobs. Given the critical functionality of slurmctld, there may be a backup server to assume these functions in the event that the primary server fails.

OPTIONS

-c  Clear all previous slurmctld state from its last checkpoint. If not specified, previously running jobs will be preserved along with the state of DOWN, DRAINED and DRAINING nodes and the associated reason field for those nodes.

-D  Debug mode. Execute slurmctld in the foreground with logging to stdout.

-f <file>
    Read configuration from the specified file. See NOTES below.

-h  Help; print a brief summary of command options.

-L <file>
    Write log messages to the specified file.

-v  Verbose operation. Multiple -

NOTES
It may be useful to experiment with different slurmctld specific configuration parameters using a distinct configuration file (e.g. timeouts). However, this special configuration file will not be used by slurmd daemon or the Slurm programs. If you desire changing communication ports, the location of the temporary file system, or other parameters used by other Slurm components, change the common configuration file, slurm.conf.

COPYING
Copyright (C) 2002 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm.conf(5), slurmd(8)